Bug 429693 - php-pdo reproducable segmentation fault
Summary: php-pdo reproducable segmentation fault
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php (Show other bugs)
(Show other bugs)
Version: 5.1
Hardware: x86_64 Linux
low
medium
Target Milestone: rc
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-22 14:24 UTC by Arturas Moskvinas
Modified: 2009-01-20 22:05 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 22:05:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing segfault (1.18 KB, patch)
2008-01-22 14:24 UTC, Arturas Moskvinas
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0226 normal SHIPPED_LIVE php bug fix update 2009-01-20 16:06:27 UTC
PHP Bug Tracker 37445 None None None Never

Description Arturas Moskvinas 2008-01-22 14:24:54 UTC
Description of problem:
Php segfault when there is a pdo error. 

Version-Release number of selected component (if applicable):
php-pdo

How reproducible:

<?
    $oDB= new PDO('mysql:host=localhost;dbname=mysql',
'your_username','your_password');
// emulated or not does not matter
    $oDB->setAttribute(PDO :: ATTR_EMULATE_PREPARES, true);
    $oStm = $oDB->prepare("SELECT * FROM user WHERE user=:character_set");
    $oStm->bindParam(':character_set', "some");
?>
bindParam requires reference (error)

Steps to Reproduce:
1. Change to correct username and password
2. Start script through command line (php test.php) or through web
3. php segfault or httpd segfaults
  
Actual results:

Fatal error: Cannot pass parameter 2 by reference in test.php on line 7
Segmentation fault

Expected results:
Fatal error: Cannot pass parameter 2 by reference in test.php on line 7

Additional info:
PHP bug report: http://bugs.php.net/bug.php?id=37445
PHP cvs diff: http://news.php.net/php.cvs/39679

Comment 1 Arturas Moskvinas 2008-01-22 14:24:54 UTC
Created attachment 292513 [details]
Patch fixing segfault

Comment 2 Joe Orton 2008-01-23 16:22:01 UTC
Thanks for the report.

Comment 3 RHEL Product and Program Management 2008-06-04 22:47:00 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 errata-xmlrpc 2009-01-20 22:05:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0226.html


Note You need to log in before you can comment on or make changes to this bug.